%global _empty_manifest_terminate_build 0
Name:           python-ldappool
Version:        3.0.0
Release:        1
Summary:        A simple connector pool for python-ldap.
License:        Mozilla Public License 2.0 (MPL 2.0)
URL:            https://opendev.org/openstack/ldappool
Source0:        https://files.pythonhosted.org/packages/d8/9b/8c36ccbfd74a32625d7fc0cfe9d3bc71d60237d98fa68e2de2d44359a2bf/ldappool-3.0.0.tar.gz
BuildArch:      noarch
%description
A simple connector pool for python-ldap.
The pool keeps LDAP connectors alive and let you reuse them,
drastically reducing the time spent to initiate a ldap connection.

%package -n python3-ldappool
Summary:        A simple connector pool for python-ldap.
Provides:       python-ldappool
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-prettytable
BuildRequires:  python3-ldap
# General requires
Requires:       python3-prettytable
Requires:       python3-ldap
%description -n python3-ldappool
A simple connector pool for python-ldap.
The pool keeps LDAP connectors alive and let you reuse them,
drastically reducing the time spent to initiate a ldap connection.

%package help
Summary:        A simple connector pool for python-ldap.
Provides:       python3-ldappool-doc
%description help
A simple connector pool for python-ldap.
The pool keeps LDAP connectors alive and let you reuse them,
drastically reducing the time spent to initiate a ldap connection.

%prep
%autosetup -n ldappool-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-ldappool -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 12 2021 huangtianhua <huangtianhua@huawei.com> - 3.0.0-1
- Upgrade to 3.0.0 to support OpenStack-W

* Tue Feb 09 2021 liusheng <liusheng2048@gmail.com>
- Initial package
